Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateDhcpOptionsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.CreateDhcpOptionsRequest

    public class CreateDhcpOptionsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateDhcpOptions operation`.

Creates a set of DHCP options that you can then associate with one or more VPCs, causing all existing and new instances that you launch in those VPCs to use the set of DHCP options. The following table lists the individual DHCP options you can specify. For more information about the options, go to http://www.ietf.org/rfc/rfc2132.txt

See Also:
  `AmazonEC2.createDhcpOptions(CreateDhcpOptionsRequest)`

Constructor Summary
`CreateDhcpOptionsRequest()`

Method Summary
`DhcpConfiguration` | `getDhcpConfiguration()` A set of one or more DHCP configurations.
`void` | `setDhcpConfiguration(DhcpConfiguration dhcpConfiguration)` A set of one or more DHCP configurations.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDhcpOptionsRequest` | `withDhcpConfiguration(DhcpConfiguration dhcpConfiguration)` A set of one or more DHCP configurations.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateDhcpOptionsRequest

    public CreateDhcpOptionsRequest()

Method Detail

### getDhcpConfiguration

    public DhcpConfiguration getDhcpConfiguration()

  A set of one or more DHCP configurations.

  Returns:
    A set of one or more DHCP configurations.

### setDhcpConfiguration

    public void setDhcpConfiguration(DhcpConfiguration dhcpConfiguration)

  A set of one or more DHCP configurations.

  Parameters:
    `dhcpConfiguration` - A set of one or more DHCP configurations.

### withDhcpConfiguration

    public CreateDhcpOptionsRequest withDhcpConfiguration(DhcpConfiguration dhcpConfiguration)

  A set of one or more DHCP configurations.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dhcpConfiguration` - A set of one or more DHCP configurations.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.